#ifndef CGBCPLUGIN_H
#define CGBCPLUGIN_H

static const char *VERSION = "0.0.3";
static const char *DESCRIPTION = "gbc : Color Gameboy emulator";
static const char *MAINMENUENTRY = "gbc";

class cPlugingbc2vdr:public cPlugin
{
  private:
    // Add any member variables or functions you may need here.
  public:
    cPlugingbc2vdr( void );
      virtual ~ cPlugingbc2vdr(  );
    virtual const char *Version( void )         { return VERSION; }
    virtual const char *Description( void )     { return DESCRIPTION; }
    virtual const char *CommandLineHelp( void );
    virtual bool ProcessArgs( int argc, char *argv[] );
    virtual bool Initialize( void );
    virtual bool Start( void );
    virtual void Housekeeping( void );
    virtual const char *MainMenuEntry( void )    { return MAINMENUENTRY; }
    virtual cOsdObject *MainMenuAction( void );
    virtual cMenuSetupPage *SetupMenu( void );
    virtual bool SetupParse( const char *Name, const char *Value );
};

#endif
